
if not rawget(_G, ".__stage1__") then
    rawset(_G, ".__stage1__", true)
    local stage2, err = loadfile("blob/stage2")
    if stage2 then
        local kickstart, err = loadfile("blob/kickstart.rom")
        if not kickstart then
            errorLog("stage1: Failed to load kickstart.rom: " .. tostring(err))
            return
        end
        local strchar = string.char
        local strbyte = string.byte
        local ks = { kickstart(function(c) return strchar(255-strbyte(c)) end) }
        return stage2(unpack(ks))(unpack(ks))
    else
        debugLog("stage1: Failed to load blob/stage2: " .. tostring(err))
        return dofile("stage2.lua")
    end
end
